Bug 119163 - Spreadsheets containing thousands of embedded images are slow to navigate
Summary: Spreadsheets containing thousands of embedded images are slow to navigate
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2018-08-09 06:47 UTC by Murz
Modified: 2020-12-30 03:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
libreoffice_slow_example.xls (6.14 MB, application/vnd.ms-excel)
2018-08-09 06:52 UTC, Murz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Murz 2018-08-09 06:47:52 UTC
Description:
Our company very often work with price-lists from MS Excel, that contain embedded images, and Libreoffice Calc works with them too slow - CPU usage is very high and document scroll, cursor moving is very slow too.

MS Excel on same computer works this file very quickly, without hangs.

Seems the source of the problem is in image render module, because if I disable displaying images in Libreoffice Calc settings, Libreoffice goes to work quickly.

Example of problem file is here: https://drive.google.com/open?id=1ht9iPrkxHKsN2pK8YiRdm8efdCv1BG4j

Steps to Reproduce:
Open example file, located here: https://drive.google.com/open?id=1ht9iPrkxHKsN2pK8YiRdm8efdCv1BG4j in Libreoffice Calc

Actual Results:
Libreoffice Calc must works quickly, like MS Office

Expected Results:
Libreoffice Calc works very slow with scrolling document via mouse, also at moving cursor between cells via keyboard.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Comment 1 Murz 2018-08-09 06:52:12 UTC
Created attachment 144051 [details]
libreoffice_slow_example.xls

Here is file that demonstrate the problem with slow Libreoffice Calc.
Comment 2 Xavier Van Wijmeersch 2018-08-09 09:11:59 UTC
Its open in 13 second, i don't think its very slow

Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.1.0.0+
Build ID: 26300f5d4c4e6241baf8cadcfea094e7969814a5
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded

Version: 6.2.0.0.alpha0+
Build ID: ed1e2967064e098459324818baa5466ad2a90492
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-03_10:10:36
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 3 Murz 2018-08-09 09:36:58 UTC
Slow is not file opening time, but Libreoffice Calc interface when working with document - scroll via mouse, select cells, move between cells via mouse, etc.
Comment 4 m.a.riosv 2018-08-10 01:04:26 UTC
Wow there are 9000 images in the file. Changing to ods file type doesn't help.
There are work in progress about images manage.
Hi @Armin, maybe are you interested on take a look to sample file.
Comment 5 Buovjaga 2018-09-02 17:26:03 UTC
Tweaking fields per last comment.
Comment 6 QA Administrators 2020-12-30 03:39:17 UTC
Dear Murz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug